Returns all addresses in the customer address book
GET
/
api
/
v3
/
store
/
customers
/
me
/
addresses
Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const addresses = await client.customer.addresses.list({}, {
token: '<token>',
})curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "addr_EfhxLZ9ck8",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "78 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States of America",
"country_iso": "US",
"state_text": "NY",
"state_abbr": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_name": "New York"
},
{
"id": "addr_gbHJdmfrXB",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "77 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States of America",
"country_iso": "US",
"state_text": "NY",
"state_abbr": "NY",
"quick_checkout": false,
"is_default_billing": true,
"is_default_shipping": false,
"state_name": "New York"
},
{
"id": "addr_UkLWZg9DAJ",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "76 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States of America",
"country_iso": "US",
"state_text": "NY",
"state_abbr": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": true,
"state_name": "New York"
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 3,
"pages": 1,
"from": 1,
"to": 3,
"in": 3,
"previous": null,
"next": null
}
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}Authorizations
Publishable API key for store access
JWT token for authenticated customers
Query Parameters
Comma-separated list of fields to include (e.g., name,slug,price). id is always included.
Was this page helpful?
⌘I
Spree SDK
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const addresses = await client.customer.addresses.list({}, {
token: '<token>',
})curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me/addresses \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "addr_EfhxLZ9ck8",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "78 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States of America",
"country_iso": "US",
"state_text": "NY",
"state_abbr": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_name": "New York"
},
{
"id": "addr_gbHJdmfrXB",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "77 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States of America",
"country_iso": "US",
"state_text": "NY",
"state_abbr": "NY",
"quick_checkout": false,
"is_default_billing": true,
"is_default_shipping": false,
"state_name": "New York"
},
{
"id": "addr_UkLWZg9DAJ",
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "76 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States of America",
"country_iso": "US",
"state_text": "NY",
"state_abbr": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": true,
"state_name": "New York"
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 3,
"pages": 1,
"from": 1,
"to": 3,
"in": 3,
"previous": null,
"next": null
}
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}
